import unittest
import os
from datetime import date
from pathlib import Path

class CopyrightUnitCase(unittest.TestCase):

    def test_Copyright(self):
        cwd = os.getcwd()
        cegalprizmfolder = cwd + "\\cegalprizm\\"
        files = Path(cegalprizmfolder).glob('**/*.py')
        for file in files:
            if ('_pb2' in file.name):
                continue
            with open(file.as_posix()) as f:
                lines = f.readlines()
                firstline = lines[0]
                if (firstline == "# Generated by"):
                    continue
                today = date.today()
                copyright = "# Copyright " + str(today.year) + " Cegal AS\n"
                self.assertTrue(firstline == copyright, "File " + file.name + " does not contain correct copyright signature")
                self.assertTrue(lines[1] == '# All rights reserved.\n', "File " + file.name + " does not contain correct copyright signature")
                self.assertTrue(lines[2] == '# Unauthorized copying of this file, via any medium is strictly prohibited.\n', "File " + file.name + " does not contain correct copyright signature")
                self.assertTrue(lines[3] == '\n', "File " + file.name + " does not contain correct copyright signature")
                self.assertTrue(lines[4] == '\n', "File " + file.name + " does not contain correct copyright signature")
                self.assertTrue(lines[5] == '\n', "File " + file.name + " does not contain correct copyright signature")
